import React from 'react';
export interface ContainerProps extends React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement> {
    /** 컨테이너 내용 */
    children: React.ReactNode;
    /** 내용을 보여줄 방향 */
    direction: 'row' | 'column';
    /** 내용의 위치 */
    align: 'left' | 'center' | 'right';
    /** 내용과 내용 사이의 간격을 설정합니다. */
    gap: number | string;
}
declare const _default: React.MemoExoticComponent<{
    ({ children, direction, align, gap, ...props }: ContainerProps): JSX.Element;
    /** Button 컴포넌트의 Default Props */
    defaultProps: {
        direction: string;
        align: string;
        gap: string;
    };
}>;
export default _default;
