import React from 'react';
import 'codemirror/lib/codemirror.css';
import 'codemirror/mode/markdown/markdown';
import 'codemirror/addon/display/placeholder';
import { DoifColorType } from '../../styles/themes/DoifThemeProps';
interface MarkdownEditorProps {
    /** markdown의 색을 정합니다. */
    color: DoifColorType;
    /** markdown의 넓이를 설정합니다. */
    width: string | number;
    /** markdown을 비활성화 시킵니다. */
    disabled: boolean;
    /** markdown 내용입니다. */
    content: string;
    /** markdown을 변경했을 때 실행되는 콜백함수 입니다. */
    onChangeMarkdown: (markdown: string) => void;
}
declare const _default: React.MemoExoticComponent<{
    ({ color, width, disabled, onChangeMarkdown, content: initialMarkdown, }: MarkdownEditorProps): JSX.Element;
    defaultProps: {
        color: string;
        width: string;
        disabled: boolean;
        content: string;
    };
}>;
export default _default;
