import React from 'react';
import { DoifDataProps } from '../../props/DoifCommonProps';
import { DoifColorType } from '../../styles/themes/DoifThemeProps';
export interface SelectProps {
    /** 보여줄 데이터 배열입니다. { code: string, name: string } */
    data: Array<DoifDataProps>;
    /** 선택할 데이터 code 값입니다. */
    value: string;
    /** placeholder를 설정합니다. */
    placeholder?: string;
    /** Selectbox의 모양을 설정합니다. */
    variant: 'outline' | 'underline';
    /** 데이터의 색상을 정합니다. */
    color: DoifColorType;
    /** Selectbox의 넓이를 설정합니다. */
    width: string | number;
    /** Selectbox의 높이를 설정합니다. */
    height: string | number;
    /** Selectbox를 비활성화 시킵니다. */
    disabled: boolean;
    /** Selectbox의 defaultValue를 설정합니다. */
    defaultValue?: DoifDataProps;
    /** id 속성입니다. */
    id?: string;
    /** name 속성입니다. */
    name?: string;
    /** Selectbox의 값이 바뀔 때 실행되는 콜백 함수입니다. */
    onChange?: (e: React.ChangeEvent<HTMLSelectElement>) => void;
}
declare const _default: React.MemoExoticComponent<{
    ({ data, value, placeholder, variant, color, width, height, disabled, defaultValue, id, name, onChange, }: SelectProps): JSX.Element;
    defaultProps: {
        variant: string;
        color: string;
        disabled: boolean;
        width: string;
        height: string;
    };
}>;
export default _default;
