import React from 'react';
interface TableProps {
    /** Table Data 배열 */
    data: Object[];
    /** Table 모델 배열 */
    model: TableModelProps[];
    /** caption을 설정합니다. */
    caption: string;
    /** `Table`컴포넌트의 높이를 설정합니다. */
    height: string;
    /** `Button` 배열입니다. */
    buttons?: React.ReactNode[];
    /** multi select 여부입니다. */
    enableMultiSelectRow: boolean;
    /** row를 선택했을 때 실행되는 콜백함수입니다. */
    onSelectRow?: (id: string, rowValue: Object) => void;
    /** mulit row를 선택했을 때 실행되는 콜백함수입니다. */
    onMultiSelectRow?: (rowValues: Object[]) => void;
}
export interface TableModelProps {
    label: string;
    name: string;
    width: number;
    align: 'left' | 'center' | 'right';
    formatter?: (cellValue: React.ReactNode) => React.ReactNode;
}
declare const _default: React.MemoExoticComponent<{
    ({ model, data, caption, height, buttons, enableMultiSelectRow, onSelectRow, onMultiSelectRow, }: TableProps): JSX.Element;
    defaultProps: {
        height: string;
        enableMultiSelectRow: boolean;
    };
}>;
export default _default;
